/* Copyright (c) 2004-2011 dhpoware. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person 
 * obtaining a copy of this software and associated documentation 
 * files (the "Software"), to deal in the Software without 
 * restriction, including without limitation the rights to use, 
 * copy, modify, merge, publish, distribute, sublicense, and/or 
 * sell copies of the Software, and to permit persons to whom 
 * the Software is furnished to do so, subject to the following 
 * conditions:
 *
 * The above copyright notice and this permission notice shall be 
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
 * OTHER DEALINGS IN THE SOFTWARE.
 */
 
#if !defined(FONT_FILE_FORMAT_H)
#define FONT_FILE_FORMAT_H

#include <PshPack1.h>

typedef struct
{
    float s, t;
    float x, y;
} Vertex;

typedef struct
{
    int width;
    Vertex upperLeft;
    Vertex lowerLeft;
    Vertex upperRight;
    Vertex lowerRight;
} Glyph;

typedef struct
{
    int version;
    int glyphHeight;
    int textureSize;
    int textureBitsPerPixel;
} FontFileHeader;

typedef struct
{
    FontFileHeader header;
    Glyph glyphs[256];
} FontFile;

#include <PopPack.h>

#endif