/* Copyright (c) 2004-2011 dhpoware. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person 
 * obtaining a copy of this software and associated documentation 
 * files (the "Software"), to deal in the Software without 
 * restriction, including without limitation the rights to use, 
 * copy, modify, merge, publish, distribute, sublicense, and/or 
 * sell copies of the Software, and to permit persons to whom 
 * the Software is furnished to do so, subject to the following 
 * conditions:
 *
 * The above copyright notice and this permission notice shall be 
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND 
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
 * OTHER DEALINGS IN THE SOFTWARE.
 */
 
#if !defined(WIN32_DIB_H)
#define WIN32_DIB_H

#if !defined (WIN32_LEAN_AND_MEAN)
#define WIN32_LEAN_AND_MEAN
#endif

#include <windows.h>

typedef struct
{
    int pitch;
    int width;
    int height;
    BYTE *pPixels;
    HDC dc;
    HBITMAP hBitmap;
    BITMAPINFO info;
    HGDIOBJ hPrevObj;
} DIB;

// Module exported functions.
extern void DIBblt(DIB *pDIB, HDC hdcDest, int x, int y);
extern void DIBbltStrech(DIB *pDIB, HDC hdcDest, int x, int y,
                         int destWidth, int destHeight);
extern void DIBcopyByteAligned(DIB *pDIB, BYTE *pTarget);
extern BOOL DIBcreate(DIB *pDIB, int width, int height);
extern void DIBdeselect(DIB *pDIB);
extern void DIBdestroy(DIB *pDIB);
extern void DIBselect(DIB *pDIB);

#endif